cURL
curl --request POST \ --url https://api.eka.care/abdm/na/v1/profile/login/phr \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "phr_address": "<string>", "txn_id": "<string>" } '
{ "abha_profiles": [ { "abha_address": "<string>", "kyc_verified": "<string>", "name": "<string>" } ], "eka": { "min_token": "<string>", "oid": "<unknown>", "uuid": "<unknown>" }, "hint": "<string>", "profile": { "abha_address": "<string>", "abha_addresses": [ "<string>" ], "abha_number": "<unknown>", "address": "<unknown>", "day_of_birth": "<unknown>", "first_name": "<unknown>", "gender": "M", "kyc_verified": "<unknown>", "last_name": "<unknown>", "middle_name": "<unknown>", "mobile": "<unknown>", "month_of_birth": "<unknown>", "pincode": "<unknown>", "year_of_birth": "<unknown>" }, "skip_state": "abha_select", "txn_id": "<string>" }
Handles login via Aadhaar number, ABHA number, or mobile number.
The API requires a Bearer token (JWT) for authentication.
Eka User ID (OID)
Partner User ID
Partner HIP ID
Abha address used to login
Transaction id received in the previous api response
OK
Abha profiles of the user.
Show child attributes
Profile of the user
Determines the next page navigation based on the skip state
abha_select
abha_end
abha_create
Transaction ID for the next api call.
Was this page helpful?